#include <bits/stdc++.h>
#define maxn 10010
using namespace std;

int b,c;

int main(){
	ios_base::sync_with_stdio(0);
	cout.tie(0);
	cin.tie(0);
	cin >> b >> c;
	for(int i = 0; i <= 500; ++i){
		if(b+c+i - min(i,min(b,c)) >= 256){
			cout << i;
			break;
		}
	}
}